Subject: Re: bug#31778: 26.1.50; Calling gio open fails from inside eshell (but not shell)

From: Noam Postavsky <[email-masked]>
Date: Sun, 10 Jun 2018 18:21:12 -0400

Carlos Pita <[email-masked]> writes:

> I want to open some image X with the default system application for
> that, so I call `gio open X` from inside eshell which silently does
> nothing at all. On the contrary, doing the same inside shell mode opens
> the image with the default viewer, although it also shows:
>
> ** (gthumb:15274): WARNING **: 19:01:31.616: Could not load the 'raw_files'
>   extension: Could not open the module “raw_files”: libraw.so.16: cannot
>   open shared object file: No such file or directory
>
> which I don't know is it relevant or not.
>
> With some help from you I would be able to debug this and provide more
> juicy information, but at this moment I don't have a clue regarding which
> function should I trace or edebug.

Does it work if you open the default viewer directly from eshell,
without going through gio?